var weekdaysArray_en = new Array("","Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday");
var weekdaysArray_fr = new Array("","Lundi", "Mardi", "Mercredi", "Jeudi", "Vendredi", "Samedi", "Dimanche");
var monthsArray_en = new Array("","January","February","March","April","May","June","July","August","Septemeber","October","November","December");
var monthsArray_fr = new Array("","janvier","f\u00e9vrier","mars","avril","mai","juin","juillet","ao\u00FBt","septembre","octobre","novembre","d\u00e9cembre");
var periodsArray_en = new Array("","Eve.","Night","Morn.","Aft.");
var periodsArray_fr = new Array("","Soir","Nuit","Matin","Apr\u00e8s-midi");

function setLocalizedStrings(lang) {
	// Load the new Localized Strings
	if (lang == "fr") {
		localizedStrings['Logo'] = 'images/logo_fr.png';
		localizedStrings['Current'] = 'Actuelles';
		localizedStrings['Short Term'] = 'Court Terme';
		localizedStrings['Long Term'] = 'Long Terme';
		localizedStrings['Temperature'] = 'Temp\u00e9rature';
		localizedStrings['CAN'] = 'Canada';
		localizedStrings['USA'] = '\u00c9tats-Unis';
		localizedStrings['INTL'] = 'Dans le monde';
		localizedStrings['Language'] = 'Langue';
		localizedStrings['English'] = 'English';
		localizedStrings['French'] = 'Fran\u00e7ais';
		localizedStrings['Hourly'] = 'Pr\u00e9visions horaires';
		localizedStrings['14day'] = 'Tendance 14 jours';		
		localizedStrings['Maps'] = 'Cartes';
		localizedStrings['POP'] = 'P.D.P. ';
		localizedStrings['Low'] = 'T. Min: ';
		localizedStrings['Feels'] = 'T. Ressentie: ';
		localizedStrings['Wind'] = 'Vents: ';
		localizedStrings['Humidity'] = 'Humidit\u00e9: ';
		localizedStrings['Pressure'] = 'Pression: ';
		localizedStrings['Updated'] = 'Mise-\u00e0-jour: ';
		localizedStrings['Validating'] = 'Validation';
		localizedStrings['No locations found'] = 'Aucune ville trouv\u00e9';
		localizedStrings['Done'] = 'OK';
		localizedStrings['Find'] = 'Trouver';
		localizedStrings['Current City'] = 'Ville actuelle: ';
		localizedStrings['Optional'] = 'Optionnel';
		localizedStrings['Gender'] = 'Genre';
		localizedStrings['Male'] = 'Homme';
		localizedStrings['Female'] = 'Femme';
		localizedStrings['Birth Year'] = 'Ann\u00e9 de naissance';
		localizedStrings['Disclaimer'] = 'Cette information sera utilis\u00e9 pour vous offrir une meilleure exp\u00e9rience de navigation, nous aider \u00e0 am\u00e9liorer nos produits et \u00e0 des fins publicitaires. Nous respectons votre vie priv\u00e9e. Nous ne vendrons, ni ne partagerons vos renseignements \u00e0 de tierces parties.  Pour plus de d\u00e9tails, veuillez consulter notre politique de vie priv\u00e9e: <a href="javascript:widget.openURL(\'http://www.meteomedia.com/privacypolicy/\');">Politique de vie priv\u00e9e</a>.';
		localizedStrings['Feedback'] = "Dites-nous ce que vous en pensez !";
		localizedStrings['FeedbackLink'] = "javascript:widget.openURL('http://www.meteomedia.com/contactinfo/contactindex');";
		localizedStrings['HelpLink'] = "javascript:widget.openURL('http://www.meteomedia.com/desktop/helpweathereyemac');";
		localizedStrings['NoData'] = "Donn\u00e9es pas disponibles pr\u00e9sentement.";
	} else {
		localizedStrings['Logo'] = 'images/logo_en.png';
		localizedStrings['Current'] = 'Current';
		localizedStrings['Short Term'] = 'Short Term';
		localizedStrings['Long Term'] = 'Long Term';		
		localizedStrings['Temperature'] = 'Temperature';
		localizedStrings['CAN'] = 'Canada';
		localizedStrings['USA'] = 'United States';
		localizedStrings['INTL'] = 'International';
		localizedStrings['Language'] = 'Language';
		localizedStrings['English'] = 'English';
		localizedStrings['French'] = 'Fran\u00e7ais';
		localizedStrings['Hourly'] = 'Hourly Forecast';
		localizedStrings['Maps'] = 'Weather Maps';
		localizedStrings['14day'] = '14 Day Trend';
		localizedStrings['POP'] = 'P.O.P. ';
		localizedStrings['Low'] = 'Low: ';
		localizedStrings['Feels'] = 'Feels like: ';
		localizedStrings['Wind'] = 'Wind: ';
		localizedStrings['Humidity'] = 'Humidity: ';
		localizedStrings['Pressure'] = 'Pressure: ';
		localizedStrings['Updated'] = 'Updated: ';
		localizedStrings['Validating'] = 'Validating';
		localizedStrings['No locations found'] = 'No locations found';
		localizedStrings['Done'] = 'OK';
		localizedStrings['Find'] = 'Find';
		localizedStrings['Current City'] = 'Current City: ';
		localizedStrings['Optional'] = 'Optional';
		localizedStrings['Gender'] = 'Gender';
		localizedStrings['Male'] = 'Male';
		localizedStrings['Female'] = 'Female';
		localizedStrings['Birth Year'] = 'Birth Year';
		localizedStrings['Disclaimer'] = 'This information will be used to provide you a better consumer experience, guide our product improvements and advertising placement. We value your privacy, and will not sell or share your information with thrid parties. For complete details see our <a href="javascript:widget.openURL(\'http://www.theweathernetwork.com/privacypolicy/\');">Privacy Policy</a>.';
		localizedStrings['Feedback'] = "Tell us what you think! Send us your comments.";
		localizedStrings['FeedbackLink'] = "javascript:widget.openURL('http://www.theweathernetwork.com/contactinfo/contactindex');";
		localizedStrings['HelpLink'] = "javascript:widget.openURL('http://www.theweathernetwork.com/desktop/helpweathereyemac');";
		localizedStrings['NoData'] = "Data for this section is currently not available.";
	}

	// Change labels
	document.getElementById("nav_current_link").innerText = getLocalizedString('Current');
	document.getElementById("nav_sterm_link").innerText = getLocalizedString('Short Term');
	document.getElementById("nav_lterm_link").innerText = getLocalizedString('Long Term');
	document.getElementById("hfxlink").innerText = getLocalizedString('Hourly');
	document.getElementById("fourteendaylink").innerText = getLocalizedString('14day');
	document.getElementById("wxmapslink").innerText = getLocalizedString('Maps');
	document.getElementById("logo").src=getLocalizedString('Logo');
	document.getElementById("label_currcity").innerText = getLocalizedString('Current City');
	document.getElementById("btn_find").value = getLocalizedString('Find');
	document.getElementById("label_temperature").innerText = getLocalizedString('Temperature');
	document.getElementById("label_lang").innerText = getLocalizedString('Language');
	document.getElementById("optionLangEN").innerText = getLocalizedString('English');
	document.getElementById("optionLangFR").innerText = getLocalizedString('French');
	document.getElementById("label_optional").innerText = getLocalizedString('Optional');
	document.getElementById("label_gender").innerText = getLocalizedString('Gender');
	document.getElementById("optionGenderMale").innerText = getLocalizedString('Male');
	document.getElementById("optionGenderFemale").innerText = getLocalizedString('Female');
	document.getElementById("label_birthyear").innerText = getLocalizedString('Birth Year');
	document.getElementById("disclaimer").innerHTML = getLocalizedString('Disclaimer');
	document.getElementById("searchcan").innerText = getLocalizedString('CAN');
	document.getElementById("searchusa").innerText = getLocalizedString('USA');
	document.getElementById("searchintl").innerText = getLocalizedString('INTL');
	document.getElementById("feedbacklink").innerText = getLocalizedString('Feedback');
	document.getElementById("feedbacklink").href = getLocalizedString('FeedbackLink');
	document.getElementById("helplink").href = getLocalizedString('HelpLink');
}

function getLocalizedString (key)
{
	try {
		var ret = localizedStrings[key];
		if (ret === undefined)
			ret = key;
		return ret;
	} catch (ex) {}
	return key;
}